Package org.zkoss.bind.impl

## Class DefaultViewModelAnnotationResolver

- java.lang.Object
- - org.zkoss.bind.impl.DefaultViewModelAnnotationResolver

- All Implemented Interfaces:
    `ViewModelAnnotationResolver`

      public class DefaultViewModelAnnotationResolver
      extends java.lang.Object
      implements ViewModelAnnotationResolver

  A default view model annotation resolver
  Author:
    jameschu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultViewModelAnnotationResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class clazz, java.lang.Class<T> annotationClass)` | Get the specific annotation from the class
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.reflect.Method method, java.lang.Class<T> annotationClass)` | Get the specific annotation from the method
    `java.lang.reflect.Method` | `getOriginalMethod​(java.lang.Object base, java.lang.reflect.Method method)` | Get original method (if proxied)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultViewModelAnnotationResolver

          public DefaultViewModelAnnotationResolver()

  - ### Method Detail

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.reflect.Method method,
                                                                             java.lang.Class<T> annotationClass)

      Description copied from interface: `ViewModelAnnotationResolver`
      Get the specific annotation from the method
      Specified by:
        `getAnnotation` in interface `ViewModelAnnotationResolver`
      Returns:
        T annotation

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class clazz,
                                                                             java.lang.Class<T> annotationClass)

      Description copied from interface: `ViewModelAnnotationResolver`
      Get the specific annotation from the class
      Specified by:
        `getAnnotation` in interface `ViewModelAnnotationResolver`
      Returns:
        T annotation

    - #### getOriginalMethod

          public java.lang.reflect.Method getOriginalMethod​(java.lang.Object base,
                                                            java.lang.reflect.Method method)

      Description copied from interface: `ViewModelAnnotationResolver`
      Get original method (if proxied)
      Specified by:
        `getOriginalMethod` in interface `ViewModelAnnotationResolver`
      Returns:
        Method